/*------------------------------------*\
    
    Stats Block - Block-Specific Styling

    This file contains styles for the Stats block.

\*------------------------------------*/

.stats-block {
    padding: 25px 0;
}

.stats-block__flex {
	display: flex;
    flex-flow: row wrap;
	justify-content: center;
    align-items: flex-start;
    gap: 25px;
}

.stats-block__heading {
    margin-bottom: 40px;
}

.stats-block__heading h2,
.stats-block__heading h3 {
    margin: 0;
}

.stat-item {
    position: relative;
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    align-items: center;
    width: 100%;
    text-align: center;
}

.stat-item__number {
    font-size: 38px;
    font-weight: 700;
    line-height: 1.2;
}

.stat-counter {
    display: inline-block;
}

.stat-prefix,
.stat-suffix {
    font-size: 36px;
}

.stat-item__label {
    font-size: 16px;
    font-weight: 400;
    color: var(--text-color);
    line-height: 1.4;
    text-transform: uppercase;
}

@media (min-width: 768px) { 

    .stats-block {
        padding: 30px 0;
    }

    .stats-block__flex {
        gap: 30px;
    }
      
    .stats-block__heading {
        margin-bottom: 60px;
    }

    .stat-item {
        flex-flow: column wrap;
        text-align: center;
        width: calc(100% / 2 - 30px);
        padding-left: 20px;
        padding-right: 20px;
    }

    .stat-item__number {
        font-size: 54px;
    }

    .stat-prefix,
    .stat-suffix {
        font-size: 48px;
    }

    .stat-item__label {
        font-size: 18px;
    }
}

@media (min-width: 1200px) {

    .stats-block {
        padding: 50px 0;
    }

    .stats-block__flex {
        justify-content: space-between;
    }

    .stats-block__flex.columns-5 {
        justify-content: center;
        gap: 30px;
    }

    .stat-item {
        flex-flow: column wrap;
        text-align: center;
        width: calc(100% / 3 - 30px);
    }

    .columns-4 .stat-item {
        width: 25%;
    }
    
    .stat-item__number {
        font-size: 62px;
    }

    .stat-item__label {
        font-size: 20px;
    }

    .columns-5 .stat-item__number {
        font-size: 64px;
    }

    .stat-prefix,
    .stat-suffix {
        font-size: 54px;
    }
}

@media (min-width: 1600px) {
    .stats-block__flex.columns-5 {
        justify-content: space-between;
        gap: 0;
    }

    .columns-5 .stat-item {
        width: calc(100% / 5);
    }

    .stat-item::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 1px;
        height: 100%;
        background: var(--white);
    }

    .stat-item:first-child::before {
        display: none;
    }
}